Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.command
Class StrutsViewXmlCommand

    java.lang.Object
      com.ibm.portal.struts.command.StrutsViewCommand
          com.ibm.portal.struts.command.StrutsViewXmlCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

Deprecated. 5.1

    public class StrutsViewXmlCommand

extends StrutsViewCommand

The `StrutsViewXMLCommand` class is a command pattern class used to provide a mechanism to encapsulate the information needed to redisplay a view. This particular subclass deals with XML pages against which XSLT stylesheets are applied.

Since:
  5.1
See Also:
  `IStrutsPrepareRender`, Serialized Form

Field Summary
`protected static MessageResources` | `messages` Deprecated. The message resources for the Struts Portlet Framework.

Fields inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`CONTENT_TYPE, PREFIX`

Constructor Summary
`StrutsViewXmlCommand(java.lang.String xmlURI, PortletRequest request, ViewCommandExecutionContext executionContext)` Deprecated. Construct this StrutsViewXmlCommand command

Method Summary
`void` | `execute(RenderRequest request, RenderResponse response, ViewCommandExecutionContext executionContext)` Deprecated. Execute the given command given the request and response objects

Methods inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`addAttribute, addAttributeNameToSave, addAttributeTypeToSave, getContentType, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, removeAttributeNameToSave, removeAttributeTypeToSave, repopulateRequest, saveAsAttribute, saveAttribute, saveAttributes, saveAttributes, saveCommand, saveCommand, setContentType, setContentType, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected static MessageResources messages

  Deprecated.
  The message resources for the Struts Portlet Framework.

Constructor Detail

### StrutsViewXmlCommand

    public StrutsViewXmlCommand(java.lang.String xmlURI,
                                PortletRequest request,
                                ViewCommandExecutionContext executionContext)

  Deprecated.
  Construct this StrutsViewXmlCommand command

  Parameters:
    `xmlURI` - the uri path to the XML content
    `request` - the portlet request object

Method Detail

### execute

    public void execute(RenderRequest request,
                        RenderResponse response,
                        ViewCommandExecutionContext executionContext)
                 throws PortletException

  Deprecated.
  Execute the given command given the request and response objects

  Specified by:
    `execute` in interface `IViewCommand`
  Overrides:
    `execute` in class `StrutsViewCommand`
  Parameters:
    `request` - The request object
    `request` - The response object
    `executionContext` - the execution context object
    `response` - the response object
  Throws:
    `PortletException` - if the command can be executed

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD